exports.main = function(options, callbacks) {
  const widgets = require("widget");
  const self = require("self");
  const rotateDocs = require("rotate-docs");
  const tabBrowser = require("tab-browser");
  var angle = 0;

  widgets.add(widgets.Widget({
    label: "Rotate Left",
    image: self.data.url("rotate-left.png"),
    onClick: function(e){
      angle -= 90;
      if(angle < -90){ angle += 360; }
      rotateDocs.rotate(e.view, angle);
    }
  }));
  
  widgets.add(widgets.Widget({
    label: "Rotate Right",
    image: self.data.url("rotate-right.png"),
    onClick: function(e){
      angle += 90;
      if(angle > 180){ angle -= 360; }
      rotateDocs.rotate(e.view, angle);
    }
  }));

  tabBrowser.whenContentLoaded(function(win) {
    rotateDocs.rotate(win, angle);
  });
};
